### Class

# Foundry Input

#### Description [src]

    abstract class Foundry.Input : GObject.Object
    {
      /* No available fields */
    }

Base class for various types of user input.

Since Foundry does not rely on a specific toolkit or platform library input must be abstracted for tooling that requires it. `FoundryInput` is the base class for various types of input which may be requested of the user.

Applications should use a platform library that can convert these input requests into an interface.

#### Ancestors

- GObject

#### Descendants

- FoundryInputChoice
- FoundryInputCombo
- FoundryInputFile
- FoundryInputFont
- FoundryInputGroup
- FoundryInputPassword
- FoundryInputSpin
- FoundryInputSwitch
- FoundryInputText

#### Instance methods

###### foundry_input_dup_subtitle

No description available.

###### foundry_input_dup_title

No description available.

###### foundry_input_dup_validator

No description available.

###### foundry_input_validate

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.Input:subtitle

No description available.

###### Foundry.Input:title

No description available.

###### Foundry.Input:validator

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryInputClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.